Index: trunk/indexers/mgpp/configure.in
===================================================================
--- trunk/indexers/mgpp/configure.in	(revision 7945)
+++ trunk/indexers/mgpp/configure.in	(revision 8059)
@@ -52,11 +52,17 @@
 
 dnl Checks for libraries.
+dnl Replace `main' with a function in -lg:
+AC_CHECK_LIB(g, main)
 dnl Replace `main' with a function in -lm:
 AC_CHECK_LIB(m, main)
+dnl Replace `main' with a function in -lstdc++:
+AC_CHECK_LIB(stdc++, main)
+dnl Replace `main' with a function in -lcrypt:
+AC_CHECK_LIB(crypt, main)
 
 dnl Checks for header files.
 AC_HEADER_DIRENT
 AC_HEADER_STDC
-AC_CHECK_HEADERS(fcntl.h limits.h sys/time.h unistd.h string.h memory.h sys/procfs.h)
+AC_CHECK_HEADERS(fcntl.h limits.h sys/time.h unistd.h crypt.h string.h memory.h sys/procfs.h)
 AC_EGREP_HEADER(fread, stdio.h, AC_DEFINE(HAVE_FREAD_DECL))
 AC_EGREP_HEADER(fgetc, stdio.h, AC_DEFINE(HAVE_FGETC_DECL))
@@ -71,4 +77,7 @@
 AC_REPLACE_FUNCS(ftruncate strstr strcasecmp)
 
+
+dnl see if gettext is in libc. (try the textdomain() function).
+AC_CHECK_FUNC( textdomain , AC_DEFINE(ENABLE_NLS ,1) )
 
 # *** Custom checking (based on GNU tar configure.in) ***
